#!/bin/bash

read -e -p "source video filename: " -i "./source.flv" SOURCE_FILE
TEMP_FILE="/tmp/10fps.flv"
DEST_PATH="./frames"
mkdir -p "$DEST_PATH"
avconv -y -i "$SOURCE_FILE" -r 10 -vf "unsharp=3:3:1.5,scale=320:240" -sws_flags neighbor -an "$TEMP_FILE"
avconv -y -i "$TEMP_FILE" -f image2 "${DEST_PATH}/%010d.png"
rm "$TEMP_FILE"
